echo off
rem Setup Program for the Microsoft(r) Project Working Model
rem (c) 1990 Microsoft Corporation 
rem All Rights Reserved
cls
echo 
echo 
echo                   Microsoft Project for Windows
echo                        Working Model SETUP
echo 
echo 
echo SETUP will install the Working Model of Microsoft Project
echo into a subdirectory called TRYPROJ on your hard disk.
echo 
echo If your hard disk is designated by a letter other than C:, 
echo exit SETUP by pressing CTRL+C, and then restart SETUP and
echo specify the letter of your hard disk.  For example, if your 
echo hard disk is drive D:, start SETUP by typing: 
echo 
echo        SETUP D:
echo 
echo If your floppy drive is designated by a letter other than A:, you can
echo specify a second letter to SETUP that indicates the correct drive
echo letter.  For example, if your hard disk is C: and your floppy disk
echo drive is B:, start SETUP by typing:
echo 
echo        SETUP C: B:
echo 
pause
cls
echo 
echo 
echo The Working Model of Microsoft Project for Windows requires
echo approximately 1.3 megabytes of free hard disk space.  If you 
echo do not have 1.3Mb free on your hard disk, you should exit now 
echo by pressing CTRL+C.  Free up at least 1.3Mb on your hard disk, 
echo and run SETUP again.
echo 
echo 
pause
cls

if .%1 == . goto cont0
echo 
echo 
echo SETUP will assume %1 is your hard disk.
if .%2 == . goto cont1
echo SETUP will assume %2 is your floppy disk drive.
echo 
echo If this is not correct, exit now by pressing CTRL+C and run 
echo SETUP again.
echo 
echo 
pause
%2
goto main2

:cont1
echo SETUP will assume a: is your floppy drive.
echo 
echo If this is not correct, exit now by pressing CTRL+C and run 
echo SETUP again.
echo 
echo 
pause
A:
goto main1

:cont0
cls
echo 
echo 
echo 
echo SETUP will assume C: is your hard disk.
echo SETUP will assume A: is your floppy disk drive.
echo 
echo If this is not correct, exit now by pressing CTRL+C and run 
echo Setup again.
echo 
echo 
pause
A:

:main0
cls
echo 
echo 
echo 
echo SETUP is now copying files to C:\TRYPROJ.
echo 
mkdir c:\TRYPROJ
decomp winproj.cpe c:\tryproj >> c:\tryproj\tmp.out
decomp winproj.cpg c:\tryproj >> c:\tryproj\tmp.out
decomp winproj.cpp c:\tryproj >> c:\tryproj\tmp.out
decomp wphelp.cpe c:\tryproj >> c:\tryproj\tmp.out
decomp view.cpv c:\tryproj >> c:\tryproj\tmp.out
decomp view.cpk c:\tryproj >> c:\tryproj\tmp.out
decomp workmodl.cpp c:\tryproj >> c:\tryproj\tmp.out
decomp workmodl.cpk c:\tryproj >> c:\tryproj\tmp.out
copy calendar.mpc c:\tryproj >> c:\tryproj\tmp.out
copy winproj.ini c:\tryproj >> c:\tryproj\tmp.out
decomp build.cpp c:\tryproj >> c:\tryproj\tmp.out
decomp aero.cpp c:\tryproj >> c:\tryproj\tmp.out
decomp dp.cpp c:\tryproj >> c:\tryproj\tmp.out
decomp aero.cpv c:\tryproj >> c:\tryproj\tmp.out
decomp build.cpv c:\tryproj >> c:\tryproj\tmp.out
del c:\tryproj\tmp.out
c:
cd \tryproj
goto done

:main1
cls
echo 
echo 
echo 
echo SETUP is now copying files to %1\tryproj.
echo 
mkdir %1\TRYPROJ
decomp winproj.cpe %1\tryproj >> %1\tryproj\tmp.out
decomp winproj.cpg %1\tryproj >> %1\tryproj\tmp.out
decomp winproj.cpp %1\tryproj >> %1\tryproj\tmp.out
decomp wphelp.cpe %1\tryproj >> %1\tryproj\tmp.out
decomp view.cpv %1\tryproj >> %1\tryproj\tmp.out
decomp view.cpk %1\tryproj >> %1\tryproj\tmp.out
copy winproj.ini %1\tryproj >> %1\tryproj\tmp.out
copy calendar.mpc %1\tryproj >> %1\tryproj\tmp.out
decomp workmodl.cpp %1\tryproj >> %1\tryproj\tmp.out
decomp workmodl.cpk %1\tryproj >> %1\tryproj\tmp.out
decomp build.cpp %1\tryproj >> %1\tryproj\tmp.out
decomp aero.cpp %1\tryproj >> %1\tryproj\tmp.out
decomp dp.cpp %1\tryproj >> %1\tryproj\tmp.out
decomp aero.cpv %1\tryproj >> %1\tryproj\tmp.out
decomp build.cpv %1\tryproj >> %1\tryproj\tmp.out
del %1\tryproj\tmp.out
%1
cd \tryproj
goto done

:main2
cls
echo 
echo 
echo 
echo SETUP is now copying files to %1\tryproj.
echo 
mkdir %1\TRYPROJ
decomp winproj.cpe %1\tryproj >> %1\tryproj\tmp.out
decomp winproj.cpg %1\tryproj >> %1\tryproj\tmp.out
decomp winproj.cpp %1\tryproj >> %1\tryproj\tmp.out
decomp wphelp.cpe %1\tryproj >> %1\tryproj\tmp.out
decomp view.cpv %1\tryproj >> %1\tryproj\tmp.out
decomp view.cpk %1\tryproj >> %1\tryproj\tmp.out
decomp workmodl.cpp %1\tryproj >> %1\tryproj\tmp.out
decomp workmodl.cpk %1\tryproj >> %1\tryproj\tmp.out
copy calendar.mpc %1\tryproj >> %1\tryproj\tmp.out
decomp build.cpp %1\tryproj >> %1\tryproj\tmp.out
decomp aero.cpp %1\tryproj >> %1\tryproj\tmp.out
decomp dp.cpp %1\tryproj >> %1\tryproj\tmp.out
decomp build.cpv %1\tryproj >> %1\tryproj\tmp.out
decomp aero.cpv %1\tryproj >> %1\tryproj\tmp.out
copy winproj.ini %1\tryproj >> %1\tryproj\tmp.out
del %1\tryproj\tmp.out
%1
cd \tryproj
goto done

:done
cls
echo 
echo 
echo 
echo The Microsoft Project for Windows Working Model is now installed.  
echo If you do not have a version of Microsoft Windows 2.11 or greater,
echo type the following to install a special version of Microsoft Windows:
echo 
echo           A:SETUPWIN
echo 
echo If your floppy disk drive is not drive A, substitute the appropriate
echo drive letter.
echo 
echo To start the Microsoft Project Working Model, type:
echo 
echo           WINPROJ WORKMODL
echo 
echo 
echo 
