echo off
rem Setup Program for the Microsoft(r) Project Working Model
rem (c) 1990 Microsoft Corporation 
rem All Rights Reserved
cls
echo 
echo 
echo                   Microsoft Project for Windows
echo                       Runtime Windows SETUP
echo 
echo 
echo SETUPWIN will install a limited version of Microsoft Windows
echo version 2.11 into a subdirectory called TRYPROJ on your hard disk.
echo 
echo If your hard disk is designated by a letter other than C:, exit
echo SETUPWIN by pressing CTRL+C, and then restart SETUPWIN and specify
echo the letter of your hard disk.  For example, if your hard disk is 
echo drive D:, start SETUPWIN by typing: 
echo 
echo        SETUPWIN D:
echo 
echo If your floppy disk drive is designated by a letter other than A:,
echo you can specify a second letter to SETUPWIN that indicates the 
echo correct drive letter.  For example, if your hard disk is C: and
echo your floppy drive is B:, start SETUPWIN by typing:
echo 
echo        SETUPWIN C: B:
echo 
pause
cls
echo 
echo 
echo The limited version of Microsoft Windows, version 2.11 requires
echo approximately 1.3 megabytes of free hard disk space.  If you do 
echo not have 1.3Mb free on your hard disk, you should exit now by pressing
echo CTRL+C.  Free up at least 1.3Mb on your hard disk, and run SETUPWIN
echo again.
echo 
echo 
pause
cls

if .%1 == . goto cont0
echo 
echo SETUPWIN will assume %1 is your hard disk.
if .%2 == . goto cont1
echo SETUPWIN will assume %2 is your floppy drive.
echo 
echo If this is not correct, exit now by pressing CTRL+C and run 
echo SETUPWIN again.
echo 
echo 
echo 
pause
%2
goto main2

:cont1
echo SETUPWIN will assume a: is your floppy drive.
echo 
echo If this is not correct, exit now by pressing CTRL+C and run 
echo SETUPWIN again.
echo 
echo 
echo 
pause
A:
goto main1

:cont0
cls
echo 
echo SETUPWIN will assume C: is your hard disk.
echo SETUPWIN will assume A: is your floppy drive.
echo 
echo If this is not correct, exit now by pressing CTRL+C and run 
echo SETUPWIN again.
echo 
echo 
echo 
pause
A:

:main0
cls
echo 
echo 
echo 
echo SETUPWIN is now copying files to C:\TRYPROJ.
echo 
decomp win200.cpl c:\tryproj >> c:\tryproj\tmp.out
decomp win200.cpn c:\tryproj >> c:\tryproj\tmp.out
decomp courb.cpf c:\tryproj >> c:\tryproj\tmp.out
decomp helvb.cpf c:\tryproj >> c:\tryproj\tmp.out
decomp tmsrb.cpf c:\tryproj >> c:\tryproj\tmp.out
decomp modern.cpf c:\tryproj >> c:\tryproj\tmp.out
decomp script.cpf c:\tryproj >> c:\tryproj\tmp.out
decomp roman.cpf c:\tryproj >> c:\tryproj\tmp.out
copy win.ini c:\tryproj >> c:\tryproj\tmp.out
del c:\tryproj\tmp.out
c:
cd \tryproj
goto done

:main1
cls
echo 
echo 
echo 
echo SETUPWIN is now copying files to %1\tryproj.
echo 
decomp win200.cpl %1\tryproj >> %1\tryproj\tmp.out
decomp win200.cpn %1\tryproj >> %1\tryproj\tmp.out
decomp courb.cpf %1\tryproj >> %1\tryproj\tmp.out
decomp helvb.cpf %1\tryproj >> %1\tryproj\tmp.out
decomp tmsrb.cpf %1\tryproj >> %1\tryproj\tmp.out
decomp modern.cpf %1\tryproj >> %1\tryproj\tmp.out
decomp script.cpf %1\tryproj >> %1\tryproj\tmp.out
decomp roman.cpf %1\tryproj >> %1\tryproj\tmp.out
copy win.ini %1\tryproj >> %1\tryproj\tmp.out
del %1\tryproj\tmp.out
%1
cd \tryproj
goto done

:main2
cls
echo 
echo 
echo 
echo SETUPWIN is now copying files to %1\tryproj.
echo 
decomp win200.cpl %1\tryproj >> %1\tryproj\tmp.out
decomp win200.cpn %1\tryproj >> %1\tryproj\tmp.out
decomp courb.cpf %1\tryproj >> %1\tryproj\tmp.out
decomp helvb.cpf %1\tryproj >> %1\tryproj\tmp.out
decomp tmsrb.cpf %1\tryproj >> %1\tryproj\tmp.out
decomp modern.cpf %1\tryproj >> %1\tryproj\tmp.out
decomp script.cpf %1\tryproj >> %1\tryproj\tmp.out
decomp roman.cpf %1\tryproj >> %1\tryproj\tmp.out
copy win.ini %1\tryproj >> %1\tryproj\tmp.out
del %1\tryproj\tmp.out
%1
cd \tryproj
goto done

:done
cls
echo 
echo 
echo 
echo The runtime version of Microsoft Windows 2.11 is now installed.  
echo 
echo To start the Microsoft Project Working Model, type:
echo 
echo        WINPROJ WORKMODL
echo 
echo 
echo 
echo 
echo 
